<template lang="pug">
	#visor
		svg#documento(
			ref="documento",
			xmlns="http://www.w3.org/2000/svg",
			:viewBox="`0 0 ${area.ancho} ${area.alto}`",
			:width="area.ancho"
			@mousedown="controlMouseDown",
		)
			<image href="https://www.tetonas.me/wp-content/uploads/2019/02/Abella-Danger-1.jpg" height="200" width="200" x="100" y="400"/>
			<image href="https://mui.today/__export/1568939766602/sites/mui/img/2019/09/19/45416361002_60d398fdaa_b.jpg_691115875.jpg" height="200" width="200" x="300" y="400"/>

		svg#control(
			ref="control",
			xmlns="http://www.w3.org/2000/svg",
			:viewBox="`0 0 ${area.ancho} ${area.alto}`",
			:width="area.ancho"
			@mousedown="controlMouseDown",

		)
			rect.seleccion(
				:x="seleccion.x",
				:y="seleccion.y",
				:width="seleccion.width",
				:height="seleccion.height"
			)

</template>

<script>
import svg from "~/utiles/svg"

export default {
	data(){
		return {
			area:{
				ancho: 640,
				alto: 640
			},
			elemento: null,
			arrastrando: false,
			ratonDesplazamiento: {
				x: 0,
				y: 0
			}
		}
	},
	computed:{
		seleccion(){
			let rectangulo = {
				x: 0,
				y: 0,
				width: 0,
				height: 0
			}
			if(this.elemento){

				const documento = this.$refs.documento.getBoundingClientRect()
				const elemento = this.elemento.getBoundingClientRect()

				rectangulo.x = elemento.x - documento.x
				rectangulo.y = elemento.y - documento.y
				rectangulo.width = elemento.width
				rectangulo.height = elemento.height
			}

			return rectangulo
		}
	},
	methods:{
		controlMouseDown( evt ){
			// console.log(evt.layerX, evt.layerY)
			// const element = document.elementFromPoint(evt.layerX, evt.layerY)
			// console.log(element)
			console.log( evt.target)

			// console.log( evt.currentTarget)
		}
	},
	mounted(){
		// svg.uno("assslgo");
	}
}
</script>

<style lang="stylus">
#visor
	width 100vw
	height 100vh

	& > svg
		position absolute
		top 0
		left 0
		right 0
		bottom 0
		width 100%
		height 100%

#documento

#control
	// pointer-events none


</style>
